policydataset
Configuration for TYPE set resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | Name of the dataset. Must not exceed 127 characters.
Minimum length = 1
|
| type | <String> | Read-write | Type of value to bind to the dataset.
Possible values = ipv4, number, ipv6, ulong, double, mac
|
| comment | <String> | Read-write | Any comments to preserve information about this dataset or a data bound to this dataset. |
| patsetfile | <String> | Read-write | File which contains list of patterns that needs to be bound to the dataset. A patsetfile cannot be associated with multiple datasets. |
| dynamic | <String> | Read-write | This is used to populate internal dataset information so that the dataset can also be used dynamically in an expression. Here dynamically means the dataset name can also be derived using an expression. For example for a given dataset name "allow_test" it can be used dynamically as client.ip.src.equals_any("allow_" + http.req.url.path.get(1)). This cannot be used with default datasets.
Default value: NO
Possible values = YES, NO
|
| dynamiconly | <Boolean> | Read-write | Shows only dynamic datasets when set true.
Default value: 0
|
| builtin | <String[]> | Read-only | Indicates that a variable is a built-in (SYSTEM INTERNAL) type.
Possible values = MODIFIABLE, DELETABLE, IMMUTABLE, PARTITION_ALL
|
| feature | <String> | Read-only | The feature to be checked while applying this config. |
| _nextgenapiresource | <String> | Read-only | . |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- UPDATE
- UNSET
- GET (ALL)
- GET
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policydataset":{
<b>"name":<String_value>,
</b><b>"type":<String_value>,
</b>"comment":<String_value>,
"patsetfile":<String_value>,
"dynamic":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset/ name_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
update
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policydataset":{
<b>"name":<String_value>,
</b>"dynamic":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset? action=unset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"policydataset":{
<b>"name":<String_value>,
</b>"dynamic":true
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/policydataset? args=name: <String_value> ,dynamiconly: <Boolean_value>
Use this query-parameter to get policydataset resources based on additional properties.
attrs http:// <netscaler-ip-address> /nitro/v1/config/policydataset? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/policydataset? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of policydataset resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/policydataset? view=summary
Use this query-parameter to get the summary output of policydataset resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/policydataset? pagesize=#no;pageno=#no
Use this query-parameter to get the policydataset resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policydataset": [ {
name:<String_value>,dynamiconly:<Boolean_value>"type":<String_value>,
"comment":<String_value>,
"patsetfile":<String_value>,
"dynamic":<String_value>,
"builtin":<String[]_value>,
"feature":<String_value>,
"_nextgenapiresource":<String_value>
}]}
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset/ name_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/policydataset/ name_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/policydataset/ name_value<String> ? view=summary
Use this query-parameter to get the summary output of policydataset resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policydataset": [ {
name:<String_value>,dynamiconly:<Boolean_value>"type":<String_value>,
"comment":<String_value>,
"patsetfile":<String_value>,
"dynamic":<String_value>,
"builtin":<String[]_value>,
"feature":<String_value>,
"_nextgenapiresource":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/policydataset? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "policydataset": [ { "__count": "#no"} ] }